Tuesday, October 14, 2008

Glimmer's Eclipse Project Landing Page

I finally updated Glimmer's Eclipse project landing page:
http://www.eclipse.org/glimmer

Stay tuned for Glimmer's code commit into the Eclipse SVN repository.

8 comments:

Soleone said...

Is Glimmer open source in the sense that everyone could commit to it? I guess it's using SVN at the moment, which requires commit-rights?!

Any chance for putting Glimmer on GitHub?

Ernad Husremović said...

last update in rubyforge svn is at May 5.
are there newer updates elsewhere ?

I have aslo looked up in eclipse svn, but org.eclipse.glimmer-core repos is empty.

Ernad Husremović said...

Hi another question.
Glimmer is not compatible with eclipse 3.4.x ?

Sample apps are started, but button click handlers don't work.

From the console:
...
"Command: on_widget_selected cannot be handled!"

Annas "Andy" Maleh said...

Soleone, Glimmer is open-source in the sense that everyone could contribute to it under the Eclipse Public License (once the code is in Eclipse SVN.) Only the initial four committers have commit rights. However, anyone can contribute by emailing patches to the committers. Once a contributor demonstrates enough commitment to delivering features in Glimmer, the contributor could be promoted by the committers to have direct commit rights.

Ernad, I have been away from the project for a while for various reasons (see earlier blog post.) Glimmer's code has not been committed to the Eclipse SVN repository yet, but I am back on track on the project now, so expect to see an initial code commit in Eclipse SVN soon.

By the way, Glimmer does work well with Eclipse SWT 3.4.x. The error you saw was mentioned in an earlier blog post. The latest version of Ruby Facets, which Glimmer depends on, is causing an issue to event listeners. I fixed it on my machine and will be committing the fix soon to the Eclipse SVN repository. For now though, check the work-around I mentioned in this blog post.

Annas "Andy" Maleh said...

Soleone, regarding GitHub, see my comment about it over here

Ernad Husremović said...

Andy, thank you for your answers.

I didn't read previous blog (carefully) because "Mac" in the subject :).

Best wishes for this interesting project. Many of (j)ruby users looking for a robust "ruby philosophy" RCP framework.
Glimmer could reach that goal.

ksteffensen said...

I gave Glimmer a whirl on my Mac looking at both the hello world sample and your tutorial on DZone and all seemed to be working fairly well.

I've been trying to figure out a way to get a shell to display using jirb without placing it inside a class. So far it doesn't seem to work for me.

This is my first time using JRuby, but, it looks like include_package can only be called inside a class or module. I can call import, but it doesn't seem to help. From what I can tell these need to be present in order to define the various SWT constants.

I haven't tried this in Windows, and I'm using the 3.4 version of the SWT.jar, and also added the options to the jruby shell script

-XstartOnFirstThread
updated the classpath to include SWT.jar, and set the java.library.path to the directory where the SWT.jar resides.

Any ideas?

btw, it was cool meeting you and the Obtiva gang at Agile2008, hope to see you at Agile2009 next year.

Annas "Andy" Maleh said...

ksteffensen, it was nice to meet you too at the Agile 2008 conference. We had a great time there. Participating in the Rock Band competition ended up spurring me to start taking drum lessons a few weeks ago. :)

Regarding include_package, you can use the import statement as an alternative, which works anywhere (inside and outside a class.)

For example:

include_package 'org.eclipse.swt'

becomes:

import org.eclipse.swt

The import statement does not need any quotes.

Let me know how things go with jirb.